<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">  
	<meta charset="<?php bloginfo('charset'); ?>" />
	<?php wp_head(); ?> 
</head>
<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div>
<header id="header">
<a class="skip-content" href="#main"><?php esc_html_e( 'Skip to content', 'impulsive' ); ?></a>
	<!-- Top header bar -->
	<?php if(get_theme_mod('guardian_header_top','1')==1) { ?>
	<div id="topHeader">
		<div class="wrapper" <?php if ( has_header_image() ) { ?> style='background-image: url("<?php header_image(); ?>")' <?php  } ?>>  
			<div class="container-fluid top_nav"  >
				<div class="container">					
					<div class="col-md-12 right">
						<ul> 
							<?php
							if( guardian_theme_is_weblizar_companion_active() ) {
							$header_social_media_in_enabled = absint(get_theme_mod( 'header_social_media_in_enabled', '1' ) );
							if ($header_social_media_in_enabled == 1) { ?>
							
								<?php if( get_theme_mod( 'email_id' ) ) {
								$guardian_email_id = get_theme_mod( 'email_id' ); ?>
								<li class="g_email guardian_contact_email">
									<a href="<?php echo esc_url( 'mailto:' . sanitize_email( $guardian_email_id ) ); ?>"><i class="fa fa-envelope"></i> <?php echo esc_html($guardian_email_id); ?></a>
								</li>
								<?php } ?>
									
								<?php if( get_theme_mod( 'phone_no' ) ) {
								$guardian_phone_no = get_theme_mod( 'phone_no' );	?>
								<li class="g_contact guardian_contact_phone"><a href="tel:<?php esc_attr( $guardian_phone_no ); ?>"><i class="fa fa-phone"></i> <?php echo esc_html( $guardian_phone_no ); ?> </a>
								</li>
								<?php } ?>

								<?php if(get_theme_mod( 'fb_link' )) { ?>
								<li class="guardian_facebook_link"><a href="<?php echo esc_url(get_theme_mod( 'fb_link' )); ?>"><i class="fa fa-facebook"></i>
								</a>
								</li>
								<?php } ?>

								<?php if(get_theme_mod( 'twitter_link' )) { ?>
								<li><a href="<?php echo esc_url(get_theme_mod( 'twitter_link' )); ?>"><i class="fa fa-twitter"></i></a>
								</li>
								<?php } ?>

								<?php if(get_theme_mod( 'linkedin_link' )) { ?>
								<li><a href="<?php echo esc_url(get_theme_mod( 'linkedin_link' )); ?>"><i class="fa fa-linkedin"></i></a>
								</li>
								<?php } ?>

								<?php if(get_theme_mod( 'instagram' )) { ?>
								<li><a href="<?php echo esc_url(get_theme_mod( 'instagram' )); ?>"><i class="fa fa-instagram"></i></a>
								</li>
								<?php } ?>

								<?php if(get_theme_mod( 'youtube_link' )) { ?>
								<li><a href="<?php echo esc_url(get_theme_mod( 'youtube_link' )); ?>"><i class="fa fa-youtube"></i></a>
								</li>
								<?php } ?>

								<?php if(get_theme_mod( 'vk_link' )) { ?>
								<li><a href="<?php echo esc_url(get_theme_mod( 'vk_link' )); ?>"><i class="fa fa-rss"></i></a>
								</li>
							<?php }
							} }
							?>
						</ul>					
					</div><!-- end right social links -->			
				</div>
			</div>            
		</div>    
	</div><!-- end top navigation -->
	<?php } ?>
	<div id="trueHeader">    
		<div class="wrapper">    
			<div class="container header-nav-bar">    
				<!-- Logo -->
				<div class="col-md-3 col-sm-3 logo">
					<a href="<?php echo esc_url(home_url( '/' )); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home" id="logo" style="color: #<?php echo esc_attr( get_theme_mod( 'header_textcolor' ) ); ?>">
						<?php 
						$custom_logo_id = get_theme_mod( 'custom_logo' );
						$guardian_image = wp_get_attachment_image_src( $custom_logo_id,'full' );
						if(has_custom_logo()) { ?>
						<img src="<?php echo esc_url($guardian_image[0]); ?>" style="height:<?php 
						if(get_theme_mod( 'logo_height' )) { echo esc_attr(get_theme_mod( 'logo_height' )); }  else { echo esc_html_e('55','impulsive'); } ?>px; width:<?php 
						if(get_theme_mod( 'logo_width' )) { echo esc_attr(get_theme_mod( 'logo_width' )); }  else { echo esc_html_e('150','impulsive'); } ?>px;" />
						<?php } else { if (display_header_text()==true){ echo '<span class="site-title">'. esc_html(get_bloginfo('name')) .'</span>'; } } ?>						
					</a>
					<?php if (display_header_text()==true){ ?>
						<p style="color: #<?php echo esc_attr( get_theme_mod( 'header_textcolor' ) ); ?>" class="site-description"><?php bloginfo( 'description' ); ?></p>
					<?php } ?>
				</div>
				<!-- Menu -->
				<div class="col-md-9 col-sm-9 menu_main">				
					<div class="navbar yamm navbar">
						<div class="navbar-header">
								<div class="navbar-toggle .navbar-collapse .pull-right " data-toggle="collapse" data-target="#navbar-collapse-1"  ><span><?php __('Menu','impulsive'); ?></span>
									<button id="toggle" aria-expanded="false" type="button" aria-controls="navbar-collapse-1"><i class="fa fa-bars"></i></button>
								</div>
							</div>
							<!-- /Navigation  menus -->
						<div id="navbar-collapse-1" class="navbar-collapse collapse">  
						<?php
						wp_nav_menu( array(  
								'theme_location' => 'primary',
								'menu_class' => 'nav navbar-nav navbar-right',
								'fallback_cb' => 'guardian_fallback_page_menu',
								'walker' => new guardian_nav_walker()
								)
							);	
						?>	
						</div>		
					</div>			 
				</div><!-- end menu -->				
			</div>			
		</div>    
	</div>    
</header>
<div class="clearfix"></div>
<div id="main">